Bug 147654 - tied to old rpm v 4.3, rpm rolled to 4.4
tied to old rpm v 4.3, rpm rolled to 4.4
Product: Fedora
Classification: Fedora
Component: perl-RPM2 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
Depends On:
  Show dependency treegraph
Reported: 2005-02-09 20:58 EST by Pete Lancashire
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-27 20:56:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pete Lancashire 2005-02-09 20:58:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
can not update rpm to 4.4 due to dependency of perl-RPM2 (and others)
being tied to rmp 4.3

Version-Release number of selected component (if applicable):
rpm -qa | grep perl-RPM2

How reproducible:

Steps to Reproduce:
1. download/access dev RPMs (feb 09)
2. rpm -Uvh rpm-* sqlite3-* net-snmp-* popt-*


Actual Results:  error: Failed dependencies:
        librpm-4.3.so is needed by (installed) openhpi-1.9.2-2.i386
        librpm-4.3.so is needed by (installed) perl-RPM2-0.66-7.i386
        librpm-4.3.so is needed by (installed) openhpi-devel-1.9.2-2.i386
        librpm-4.3.so is needed by (installed) php-snmp-5.0.3-1.i386
        librpmdb-4.3.so is needed by (installed) perl-RPM2-0.66-7.i386
        librpmio-4.3.so is needed by (installed) openhpi-1.9.2-2.i386
        librpmio-4.3.so is needed by (installed) perl-RPM2-0.66-7.i386
        librpmio-4.3.so is needed by (installed)
        librpmio-4.3.so is needed by (installed) php-snmp-5.0.3-1.i386

Expected Results:  perl-RPM2 should not have been displayed

Additional info:
Comment 1 Jeremy Katz 2005-04-27 20:56:44 EDT

Note You need to log in before you can comment on or make changes to this bug.